LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
MouseEvent Struct Referencepublished

specifies an event from the mouse. More...

`import"MouseEvent.idl";`

Inheritance diagram for MouseEvent:

## Public Attributes
short | Buttons
| contains the pressed mouse buttons. More...
long | X
| contains the x coordinate location of the mouse. More...
long | Y
| contains the y coordinate location of the mouse. More...
long | ClickCount
| contains the number of mouse clicks associated with event. More...
boolean | PopupTrigger
| specifies if this event is a pop-up menu trigger event. More...
Public Attributes inherited from InputEvent
short | Modifiers
| contains the modifier keys which were pressed while the event occurred. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

specifies an event from the mouse.

This event is also used for pop-up menu requests on objects. See PopupTrigger for details.

See Also
  XMouseListener
  XMouseMotionListener
  InputEvent

## Member Data Documentation

short Buttons

contains the pressed mouse buttons.

Zero ore more constants from the com::sun::star::awt::MouseButton group.

long ClickCount

contains the number of mouse clicks associated with event.

boolean PopupTrigger

specifies if this event is a pop-up menu trigger event.

If this member is `TRUE`, the event describes a request for a pop-up menu, also known as context menu, on an object.

In this case, X and Y describe the position where the request was issued. If those members are `-1`, then the request was issued using the keyboard, by pressing the operating-system dependent key combination for this purpose.

See Also
  XMouseListener::mousePressed

long X

contains the x coordinate location of the mouse.

long Y

contains the y coordinate location of the mouse.

The documentation for this struct was generated from the following file:

- com/sun/star/awt/MouseEvent.idl